#region Copyright Syncfusion Inc. 2001-2018.
// Copyright Syncfusion Inc. 2001-2018. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

namespace ResourceView
{
    using System.Windows;
    using System.Windows.Controls;
    using System.Windows.Media;

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
            this.Gantt.Loaded += Gantt_Loaded;
        }

        private void Gantt_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            Border border = (Border)VisualTreeHelper.GetChild(this.Gantt.GanttGrid, 0);
            ScrollViewer viewer = (ScrollViewer)VisualTreeHelper.GetChild(border, 0);
            viewer.IsDeferredScrollingEnabled = true;
        }
    }
}

